Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.loom.transport
Class LoomTransportManager

    java.lang.Object
      org.codehaus.xfire.transport.DefaultTransportManager
          org.codehaus.xfire.loom.transport.LoomTransportManager

All Implemented Interfaces:
  org.apache.avalon.framework.activity.Initializable, org.apache.avalon.framework.service.Serviceable, RegistrationEventListener, TransportManager

    public class LoomTransportManager

extends DefaultTransportManager
implements org.apache.avalon.framework.activity.Initializable, org.apache.avalon.framework.service.Serviceable

Author:
  peter royal

Field Summary

Fields inherited from interface org.codehaus.xfire.transport.TransportManager
`ROLE`

Constructor Summary
`LoomTransportManager()`

Method Summary
`void` | `initialize()` Initializes transports for each service.
`void` | `service(org.apache.avalon.framework.service.ServiceManager manager)`

Methods inherited from class org.codehaus.xfire.transport.DefaultTransportManager
`disable, disableAll, enable, enableAll, endpointRegistered, endpointUnregistered, getServiceRegistry, getTransport, getTransportForUri, getTransports, getTransports, initializeTransports, isEnabled, register, setServiceRegistry, unregister`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoomTransportManager

    public LoomTransportManager()

Method Detail

### service

    public void service(org.apache.avalon.framework.service.ServiceManager manager)
                 throws org.apache.avalon.framework.service.ServiceException

  Specified by:
    `service` in interface `org.apache.avalon.framework.service.Serviceable`
  Throws:
    `org.apache.avalon.framework.service.ServiceException`

### initialize

    public void initialize()

  Description copied from class: `DefaultTransportManager`
  Initializes transports for each service. This also registers a LocalTransport and DeadLetterTransport.

  Specified by:
    `initialize` in interface `org.apache.avalon.framework.activity.Initializable`
  Overrides:
    `initialize` in class `DefaultTransportManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.